﻿<?php
/**
 * Этот компонент предназначен для создания ссылок с помощью
 * сервиса Bit.ly
 */
class BitLyShortener extends CComponent {
    const LOGIN = 'ваш_логин';
    const APIKEY = 'ваш_API_ключ';
    
    /**
     * Укорачивает заданнй URL с помощью сервиса Bit.ly
     *
     * @param $fullUrl string - URL для которого нужно получить короткую ссылку
     * @return string короткая ссылка
     */
    public static function getShortUrl($fullUrl) {
        //формируем запрос
        $request = 'http://api.bit.ly/v3/shorten?'
            .'login='.self::LOGIN
            .'&apiKey='.self::APIKEY
            .'&longUrl='.urlencode($fullUrl)
            .'&format=json';
        
        //отправляем запрос
        $response = file_get_contents($request);
        $res = json_decode($response, true);
        
        return $res['data']['url'];
    }
}

//end of BitLyshortener.php